/******************************************************************************
 * Description
 *	Connect to a display and dump the current font path.
 *****************************************************************************/


#include <X11/Xlib.h>
#include <X11/Xatom.h>
#include <X11/Xutil.h>
#include <stdio.h>

#define TRUE  1
#define FALSE 0

char *ProgramName;
Display *dpy;

static char *help_message[] = {
"where options include:",
"    -display host:dpy                X server to use",
NULL};

/******************************************************************************
 * Description
 *	Main routine.  Process command-line arguments, then get the info.
 *****************************************************************************/

main(argc, argv)
int argc;
char **argv;
{
	char *display = NULL;

	/* Process arguments: */

	while (*++argv) {
		if (!strcmp (*argv, "-display")) {
			display = *++argv;
		}
		else {	/* unknown arg */
		    char **cpp;

		    fprintf (stderr, "usage:  %s [-options]\n\n", argv[0]);
		    for (cpp = help_message; *cpp; cpp++) {
			fprintf (stderr, "%s\n", *cpp);
		    }
		    fprintf (stderr, "\n");
		    exit (1);
		}
	}
	if (!(dpy= XOpenDisplay(display))) {
		perror("Cannot open display\n"); 
		exit(-1);
	      }

	{   int	  	  NPaths;
	    char	**FP = XGetFontPath( dpy, &NPaths );
	    int		  i;
	    
	    for (i = 0; i < NPaths; ++i) {
		printf( "%s\n", FP[i] );
	    }
	}

	XCloseDisplay(dpy);
}
